[tool.poetry]
name = "authorization"
version = "0.0.0+SERVICE-VERSION"
description = "Ryax authorization management microservice"
authors = ["Ryax Development Team <dev@ryax.tech>"]
license = "MPL-2.0"
readme="README.md"
homepage="https://ryax.tech"
documentation="https://docs.ryax.tech"
packages = [
    { include = "ryax", from = "." },
]

[tool.poetry.dependencies]
python = "^3.9"
aiohttp = "^3.7"
aiohttp-apispec = "^2.2"
alembic = "^1.6"
dependency-injector = "^4.33"
logfmt-logger = "^0.1"
markupsafe = "^2.1"
psycopg2-binary = "^2.8"
pyjwt = "^2.1"
PyYAML = "^6"
SQLAlchemy = "^1.4"
passlib = "^1.7"

[tool.poetry.dev-dependencies]
black = "^23.11"
isort = "^5.5.4"
flake8 = "^6.1"
pytest-cov = "^4.1"
pytest = "^7.1.0"
mypy = "^1.7"

[tool.poetry.scripts]
# Since we do not use poetry to package our final application, this secion does
# not actually define the entrypoints of the resulting application. We instead
# use custom scripts that you can find at the root of this repository - check
# out ./nix/docker.nix for more details.
ryax-authorization = "ryax.authorization.app:start"
ryax-authorization-update-db = "ryax.authorization.app:db_migration"

[build-system]
requires = ["poetry>=1.0.10"]
build-backend = "poetry.masonry.api"

## Extra tools configuration
[tool.black]
line-length = 88

[tool.isort]
profile = "black"
multi_line_output = 3
skip_glob = "*pb2.py*"
skip = "ryaxpkgs,ci,migrations"

[tool.pytest.ini_options]
filterwarnings = [
    'ignore:Call to deprecated create function',
]
